Bug 1823117 - Review Request: opensurge - 2D retro platformer inspired by Sonic games
Summary: Review Request: opensurge - 2D retro platformer inspired by Sonic games
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio T. sagitter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1823344 1836319
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2020-04-11 19:50 UTC by Artur Iwicki
Modified: 2020-06-16 01:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
If this bug requires documentation, please select an appropriate Doc Type value.
Clone Of:
Environment:
Last Closed: 2020-06-15 02:06:29 UTC
Type: ---
trpost: fedora-review+


Attachments (Terms of Use)

Description Artur Iwicki 2020-04-11 19:50:36 UTC
spec: https://svgames.pl/fedora/opensurge-0.5.1.2-1.spec
srpm: https://svgames.pl/fedora/opensurge-0.5.1.2-1.src.rpm
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=43247079

Description: Open Surge is a fun 2D retro platformer inspired by Sonic games, and a game creation system that lets you unleash your creativity!

Fedora Account System Username: suve

Comment 1 Antonio T. (sagitter) 2020-04-11 20:16:02 UTC
Interesting.
I will review this package soon.

Comment 2 Artur Iwicki 2020-04-12 00:27:29 UTC
Took a better look at the game's assets. Updated the License: tag in the -data subpackage and unbundled Roboto fonts.

spec: https://svgames.pl/fedora/opensurge-0.5.1.2-2.spec
srpm: https://svgames.pl/fedora/opensurge-0.5.1.2-2.src.rpm
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=43255261

Comment 3 Andrea Musuruane 2020-04-12 10:01:45 UTC
Thanks for your effort to package opensurge. I had a go a couple of months ago. 

If you could unbundle surgescript, the package would be more readable.

BR gcc is not needed (pulled in by gcc-c++).

License is GPLv3+

You can simplify building with something like:
%build
%cmake -DCMAKE_INSTALL_PREFIX=%{_bindir} --build build .
%make_build

Comment 4 Antonio T. (sagitter) 2020-04-12 12:51:38 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Spec file name must match the spec package %{name}, in the format
  %{name}.spec.
  Note: opensurge-0.5.1.2-2.spec should be opensurge.spec
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_spec_file_naming

- Source archives provide files under multiple licenses. Please, include
  all licenses and comment about which files are realased under such of them.

- Why you don't package surgescript separately?


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v3 or later)", "*No copyright*
     Creative Commons Attribution Public License (v3.0)", "*No copyright*
     Apache License (v2.0)", "SIL Open Font License (v1.1)", "Expat
     License", "*No copyright* Creative Commons CC0 Public License (v1.0)",
     "Apache License (v2.0)", "*No copyright* Public domain", "*No
     copyright* do What The Fuck you want to Public License (v2)", "GNU
     Lesser General Public License (v2.1 or later)", "BSD (unspecified)",
     "BSD 2-clause "Simplified" License". 637 files have unknown license.
     Detailed output of licensecheck in
     /home/sagitter/1823117-opensurge-0.5.1.2-2/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     opensurge-data
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: opensurge-0.5.1.2-2.fc33.x86_64.rpm
          opensurge-data-0.5.1.2-2.fc33.noarch.rpm
          opensurge-debuginfo-0.5.1.2-2.fc33.x86_64.rpm
          opensurge-debugsource-0.5.1.2-2.fc33.x86_64.rpm
          opensurge-0.5.1.2-2.fc33.src.rpm
opensurge.x86_64: W: spelling-error Summary(en_US) platformer -> platformed, plat former, plat-former
opensurge.x86_64: W: spelling-error %description -l en_US platformer -> platformed, plat former, plat-former
opensurge.x86_64: E: description-line-too-long C Open Surge is two projects in one: a game and a game creation system (game engine).
opensurge.x86_64: W: no-documentation
opensurge.x86_64: W: no-manual-page-for-binary opensurge
opensurge-data.noarch: W: invalid-license CC-BY-3.0
opensurge-data.noarch: W: invalid-license CC-BY-SA-3.0
opensurge-data.noarch: W: invalid-license CC-0
opensurge-data.noarch: W: no-documentation
opensurge-data.noarch: W: dangling-symlink /usr/share/opensurge/fonts/Roboto-Black.ttf /usr/share/fonts/google-roboto/Roboto-Black.ttf
opensurge-data.noarch: W: dangling-symlink /usr/share/opensurge/fonts/Roboto-Bold.ttf /usr/share/fonts/google-roboto/Roboto-Bold.ttf
opensurge-data.noarch: W: dangling-symlink /usr/share/opensurge/fonts/Roboto-Medium.ttf /usr/share/fonts/google-roboto/Roboto-Medium.ttf
opensurge.src: W: spelling-error Summary(en_US) platformer -> platformed, plat former, plat-former
opensurge.src: W: spelling-error %description -l en_US platformer -> platformed, plat former, plat-former
opensurge.src: E: description-line-too-long C Open Surge is two projects in one: a game and a game creation system (game engine).
opensurge.src:65: W: mixed-use-of-spaces-and-tabs (spaces: line 14, tab: line 65)
5 packages and 0 specfiles checked; 2 errors, 14 warnings.




Rpmlint (debuginfo)
-------------------
Checking: opensurge-debuginfo-0.5.1.2-2.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
opensurge-debuginfo.x86_64: W: invalid-url URL: https://opensurge2d.org <urlopen error [Errno -2] Name or service not known>
opensurge-debugsource.x86_64: W: invalid-url URL: https://opensurge2d.org <urlopen error [Errno -2] Name or service not known>
opensurge-data.noarch: W: invalid-license CC-BY-3.0
opensurge-data.noarch: W: invalid-license CC-BY-SA-3.0
opensurge-data.noarch: W: invalid-license CC-0
opensurge-data.noarch: W: invalid-url URL: https://opensurge2d.org <urlopen error [Errno -2] Name or service not known>
opensurge-data.noarch: W: no-documentation
opensurge-data.noarch: W: dangling-symlink /usr/share/opensurge/fonts/Roboto-Black.ttf /usr/share/fonts/google-roboto/Roboto-Black.ttf
opensurge-data.noarch: W: dangling-symlink /usr/share/opensurge/fonts/Roboto-Bold.ttf /usr/share/fonts/google-roboto/Roboto-Bold.ttf
opensurge-data.noarch: W: dangling-symlink /usr/share/opensurge/fonts/Roboto-Medium.ttf /usr/share/fonts/google-roboto/Roboto-Medium.ttf
opensurge.x86_64: W: spelling-error Summary(en_US) platformer -> platformed, plat former, plat-former
opensurge.x86_64: W: spelling-error %description -l en_US platformer -> platformed, plat former, plat-former
opensurge.x86_64: E: description-line-too-long C Open Surge is two projects in one: a game and a game creation system (game engine).
opensurge.x86_64: W: invalid-url URL: https://opensurge2d.org <urlopen error [Errno -2] Name or service not known>
opensurge.x86_64: W: no-documentation
opensurge.x86_64: W: no-manual-page-for-binary opensurge
4 packages and 0 specfiles checked; 1 errors, 15 warnings.



Source checksums
----------------
https://github.com/alemart/surgescript/archive/v0.5.4.3/surgescript-0.5.4.3.tar.gz :
  CHECKSUM(SHA256) this package     : 52bb460b3a882788cc1001610d35f56a9c206b4f565db593a507f69862d6270c
  CHECKSUM(SHA256) upstream package : 52bb460b3a882788cc1001610d35f56a9c206b4f565db593a507f69862d6270c
https://raw.githubusercontent.com/alemart/opensurge/1def8579e661e3128e495b7108a1988d40453a65/CMakeLists.txt :
  CHECKSUM(SHA256) this package     : 53578904fde0199b5f32e8b036691faaa03453aea5893de61e5db5296b633268
  CHECKSUM(SHA256) upstream package : 53578904fde0199b5f32e8b036691faaa03453aea5893de61e5db5296b633268
https://github.com/alemart/opensurge/archive/v0.5.1.2/opensurge-0.5.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : d060e3215231741ce0b4e5b897af52f8755c57660c8a33856bf921c83af18ba2
  CHECKSUM(SHA256) upstream package : d060e3215231741ce0b4e5b897af52f8755c57660c8a33856bf921c83af18ba2


Requires
--------
opensurge (rpmlib, GLIBC filtered):
    google-roboto-fonts
    liballegro.so.5.2()(64bit)
    liballegro_acodec.so.5.2()(64bit)
    liballegro_audio.so.5.2()(64bit)
    liballegro_dialog.so.5.2()(64bit)
    liballegro_font.so.5.2()(64bit)
    liballegro_image.so.5.2()(64bit)
    liballegro_memfile.so.5.2()(64bit)
    liballegro_primitives.so.5.2()(64bit)
    liballegro_ttf.so.5.2()(64bit)
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    opensurge-data
    rtld(GNU_HASH)

opensurge-data (rpmlib, GLIBC filtered):

opensurge-debuginfo (rpmlib, GLIBC filtered):

opensurge-debugsource (rpmlib, GLIBC filtered):



Provides
--------
opensurge:
    application()
    application(opensurge.desktop)
    bundled(surgescript)
    metainfo()
    metainfo(opensurge.appdata.xml)
    opensurge
    opensurge(x86-64)

opensurge-data:
    opensurge-data

opensurge-debuginfo:
    debuginfo(build-id)
    opensurge-debuginfo
    opensurge-debuginfo(x86-64)

opensurge-debugsource:
    opensurge-debugsource
    opensurge-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1823117
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: SugarActivity, PHP, fonts, Java, Ocaml, Haskell, Python, Perl, R
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Neal Gompa 2020-04-13 04:28:10 UTC
Just dropping in with some notes for improving the spec to comply with Fedora Packaging Guidelines, as I'm interested in seeing Open Surge land in Fedora. :)

> # There have been some useful changes to CMakeLists.txt since v.0.5.1.2 has been released
> Source1: https://raw.githubusercontent.com/alemart/opensurge/1def8579e661e3128e495b7108a1988d40453a65/CMakeLists.txt

Why not just package a snapshot release or cherry-pick patches?

> Provides: bundled(surgescript) = %{ss_version}

I'll reiterate what others have said: It'd be a much better idea to get this packaged separately and have Open Surge depend on it.

> License: CC-BY-3.0 and CC-BY-SA-3.0 and CC-0 and Public Domain

The license tag is "CC-BY and CC-BY-SA and CC0 and Public Domain"

See: https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#SoftwareLicenses

> %setup -q

Use "%autosetup -p1" instead.

> make %{?_smp_mflags}

Use "%make_build"

Comment 6 Artur Iwicki 2020-04-13 12:22:49 UTC
I didn't see much use for surgescript as a separate package, but since you insist, here it goes: https://bugzilla.redhat.com/show_bug.cgi?id=1823344

Comment 7 Artur Iwicki 2020-04-13 12:43:51 UTC
Dropping an updated spec with unbundled surgescript.

spec: https://svgames.pl/fedora/opensurge-0.5.1.2-3.spec
srpm: https://svgames.pl/fedora/opensurge-0.5.1.2-3.src.rpm

--

>Source1: CMakeLists.txt
>Why not just package a snapshot release or cherry-pick patches?
I'd argue that taking a file out of a snapshot kinda is a cherry-pick. ;)
Either way, that was mostly needed for linking to surgescript statically, since the CMakeLists.txt from v.0.5.1.2 doesn't accommodate for that. Now that surgescript has been unbundled, I dropped this.

>The license tag is "CC-BY and CC-BY-SA and CC0 and Public Domain"
Corrected that.

>Use "%make_build"
Hm, pretty much every Fedora package I've seen uses "make %{?_smp_mflags}".

Comment 8 Antonio T. (sagitter) 2020-04-13 19:17:11 UTC
Correct and update both SPEC and SRPM files, please.
I will review your package one more time within tomorrow.

Comment 9 Artur Iwicki 2020-04-13 19:44:22 UTC
SurgeScript got accepted as a separate package, so here's a koji scratch build.

spec: https://svgames.pl/fedora/opensurge-0.5.1.2-4/opensurge.spec
srpm: https://svgames.pl/fedora/opensurge-0.5.1.2-4/opensurge-0.5.1.2-4.fc32.src.rpm
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=43349730

Comment 10 Antonio T. (sagitter) 2020-04-14 10:48:52 UTC
I guess that the font files

-- /builddir/build/BUILDROOT/opensurge-0.5.1.2-4.fc31.x86_64/usr/share/opensurge/fonts/GothicA1-Medium.ttf
-- /builddir/build/BUILDROOT/opensurge-0.5.1.2-4.fc31.x86_64/usr/share/opensurge/fonts/GothicA1-Bold.ttf

should be packaged separately in a `hanyang-gothic-A1-fonts` sub-package (like happens with Pioneer: https://src.fedoraproject.org/rpms/pioneer/blob/master/f/pioneer.spec#_229) and create related symlinks inside `/usr/share/opensurge/fonts/`

Comment 11 Artur Iwicki 2020-04-14 12:30:00 UTC
Yeah, they probably should. I never packaged fonts before, and the Font Packaging Guidelines are quite long - plus the upstream website for the font is in Korean, which I don't speak - so I went the lazy way and asked in the fonts@ mailing lists if someone would be willing to have a go at this.

https://lists.fedoraproject.org/archives/list/fonts@lists.fedoraproject.org/thread/ZABSC2NULLWWLALETFGNF4UOECO2METR/

Comment 12 Antonio T. (sagitter) 2020-04-25 08:50:56 UTC
Any news here?

Comment 13 Artur Iwicki 2020-04-25 09:57:44 UTC
I have a hard time finding, for lack of better term, the source of truth for HanYang fonts. The designer's website says (it's in Korean, so I rely on auto-translation) that the font is proprietary. On the other hand, it's featured on Google Fonts and lots of different websites, tagged SIL OFL. 

The designer's website states the font has 90-something weights and variants, while the freely downloadable packs only contain the typical normal/bold/italic variants, so _maybe_ it's a case of them releasing the "basic" variants for free - but I can't find any place that would confirm that.

Comment 14 Antonio T. (sagitter) 2020-05-13 07:04:52 UTC
We're stalled here. Maybe a Fe-Legal review can help us.

Comment 15 Tom "spot" Callaway 2020-05-13 14:41:51 UTC
Hi folks. The font in question here is the Gothic A1 font family, produced by the HanYang I&C Co font foundry.

As noted, this font is listed on Google Fonts as being under the SIL Open Font License (henceforth referred to as OFL):
https://fonts.google.com/specimen/Gothic+A1

When we look at the font files themselves (I looked at Google's copy), we see in the font metadata that the License is marked as:

License (English US): This Font Software is licensed under the SIL Open Font License, Version 1.1. This license is available with a FAQ at: http://scripts.sil.org/OFL

I happen to know the maintainer for Google Fonts and I confirmed with him that this licensing is correct, as they worked directly with the font foundry to get this font under this license. :)

Lifting FE-Legal

Comment 16 Antonio T. (sagitter) 2020-05-13 16:10:43 UTC
Thank you very much Tom.

Comment 17 Artur Iwicki 2020-05-13 16:59:21 UTC
Thanks, Tom.

My mind is playing tricks on me now, as I can swear I've seen something like "don't use intermediaries like Google Fonts and use upstream sources" in the Fonts Packaging policy, but I can't find it now - and looking at the git history, there newer was anything like that in the document. I'll get around to packaging the font somewhen over the weekend.

Comment 19 Antonio T. sagitter 2020-06-04 09:34:25 UTC
I'm reviewing again.

Comment 20 Antonio T. sagitter 2020-06-04 10:04:11 UTC
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE-GothicA1.ttf.txt is not marked as %license
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/LicensingGuidelines/#_license_text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v3 or later)", "SIL Open Font
     License 1.1", "Expat License", "*No copyright* Public domain", "*No
     copyright* Do What The Fuck You Want To Public License, Version 2",
     "GNU Lesser General Public License (v2.1 or later)". 537 files have
     unknown license. Detailed output of licensecheck in
     /home/sagitter/1823117-opensurge/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     opensurge-data
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: opensurge-0.5.1.2-5.fc33.x86_64.rpm
          opensurge-data-0.5.1.2-5.fc33.noarch.rpm
          opensurge-debuginfo-0.5.1.2-5.fc33.x86_64.rpm
          opensurge-debugsource-0.5.1.2-5.fc33.x86_64.rpm
          opensurge-0.5.1.2-5.fc33.src.rpm
opensurge.x86_64: W: spelling-error Summary(en_US) platformer -> platformed, plat former, plat-former
opensurge.x86_64: W: spelling-error %description -l en_US platformer -> platformed, plat former, plat-former
opensurge.x86_64: W: no-documentation
opensurge.x86_64: W: no-manual-page-for-binary opensurge
opensurge-data.noarch: W: no-documentation
opensurge-data.noarch: W: dangling-symlink /usr/share/opensurge/fonts/GothicA1-Bold.ttf /usr/share/fonts/hanyang-gothic-a1-fonts/GothicA1-Bold.ttf
opensurge-data.noarch: W: dangling-symlink /usr/share/opensurge/fonts/GothicA1-Medium.ttf /usr/share/fonts/hanyang-gothic-a1-fonts/GothicA1-Medium.ttf
opensurge-data.noarch: W: dangling-symlink /usr/share/opensurge/fonts/Roboto-Black.ttf /usr/share/fonts/google-roboto/Roboto-Black.ttf
opensurge-data.noarch: W: dangling-symlink /usr/share/opensurge/fonts/Roboto-Bold.ttf /usr/share/fonts/google-roboto/Roboto-Bold.ttf
opensurge-data.noarch: W: dangling-symlink /usr/share/opensurge/fonts/Roboto-Medium.ttf /usr/share/fonts/google-roboto/Roboto-Medium.ttf
opensurge.src: W: spelling-error Summary(en_US) platformer -> platformed, plat former, plat-former
opensurge.src: W: spelling-error %description -l en_US platformer -> platformed, plat former, plat-former
opensurge.src: W: strange-permission opensurge.spec 600
opensurge.src:66: W: mixed-use-of-spaces-and-tabs (spaces: line 66, tab: line 63)
5 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (debuginfo)
-------------------
Checking: opensurge-debuginfo-0.5.1.2-5.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/alemart/opensurge/archive/v0.5.1.2/opensurge-0.5.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : d060e3215231741ce0b4e5b897af52f8755c57660c8a33856bf921c83af18ba2
  CHECKSUM(SHA256) upstream package : d060e3215231741ce0b4e5b897af52f8755c57660c8a33856bf921c83af18ba2


Requires
--------
opensurge (rpmlib, GLIBC filtered):
    font(gothica1)
    font(roboto)
    liballegro.so.5.2()(64bit)
    liballegro_acodec.so.5.2()(64bit)
    liballegro_audio.so.5.2()(64bit)
    liballegro_dialog.so.5.2()(64bit)
    liballegro_font.so.5.2()(64bit)
    liballegro_image.so.5.2()(64bit)
    liballegro_memfile.so.5.2()(64bit)
    liballegro_primitives.so.5.2()(64bit)
    liballegro_ttf.so.5.2()(64bit)
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libsurgescript.so.0.5.4.4()(64bit)
    opensurge-data
    rtld(GNU_HASH)

opensurge-data (rpmlib, GLIBC filtered):

opensurge-debuginfo (rpmlib, GLIBC filtered):

opensurge-debugsource (rpmlib, GLIBC filtered):



Provides
--------
opensurge:
    application()
    application(opensurge.desktop)
    opensurge
    opensurge(x86-64)

opensurge-data:
    opensurge-data

opensurge-debuginfo:
    debuginfo(build-id)
    opensurge-debuginfo
    opensurge-debuginfo(x86-64)

opensurge-debugsource:
    opensurge-debugsource
    opensurge-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1823117
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: Python, Haskell, PHP, SugarActivity, R, Perl, fonts, Java, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 21 Artur Iwicki 2020-06-04 20:17:51 UTC
You'll need to reassign the ticket to yourself since the Assignee and flag:fedora-review+ user don't match.

Comment 22 Gwyn Ciesla 2020-06-05 13:16:55 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/opensurge

Comment 23 Fedora Update System 2020-06-05 19:04:20 UTC
FEDORA-2020-cdfe6eabff has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-cdfe6eabff

Comment 24 Fedora Update System 2020-06-05 19:04:43 UTC
FEDORA-2020-8c39388753 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c39388753

Comment 25 Fedora Update System 2020-06-07 21:44:47 UTC
FEDORA-2020-8c39388753 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-8c39388753 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c39388753

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 26 Fedora Update System 2020-06-08 01:46:24 UTC
FEDORA-2020-cdfe6eabff has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-cdfe6eabff \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cdfe6eabff

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 27 Fedora Update System 2020-06-15 02:06:29 UTC
opensurge-0.5.1.2-6.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2020-06-16 01:26:36 UTC
opensurge-0.5.1.2-6.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.